Subject: Re: bug#70940: You found a bug: the program derivation

From: Simon Tournier <[email-masked]>
Date: Mon, 16 Jun 2025 11:32:34 +0200

Hi,

On Tue, 14 May 2024 at 15:50, Rick Huijzer <[email-masked]> wrote:

> ./guix/store.scm:1444:15: In procedure loop:
> ERROR:
>   1. &store-protocol-error:
>       message: "`/gnu/store/8dzvn0qr62a8l2ad3hx1xhjdvxifc7hn-guix-1.4.0-18.4c94b9e/bin/guix substitute' died unexpectedly"
>       status: 1
> guix pull: error: You found a bug: the program '/gnu/store/13bvpk5dqjmdzspb276qzs24jcj3jjhh-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "6e86089d563ccb67ae04cd941ca7b66c1777831f"; system: "x86_64-linux";
> host version: "a682ddd70846d488cfbd82d65e8566ec6739813c"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

Thanks for the report and sorry for the late reply.

I think this bug

    https://issues.guix.gnu.org/issue/70940

is transient and/or part of this series [1].

Therefore, I’m closing.  Feel free to reopen if I’m missing something.

Cheers,
simon

1: toward a plan? (was Re: Reducing "You found a bug" reports)
Simon Tournier <[email-masked]>
Tue, 10 Sep 2024 16:51:09 +0200
id:[email-masked]
https://lists.gnu.org/archive/html/guix-devel/2024-09
https://yhetil.org/guix/[email-masked]